Bug 1133886 - pulp-consumer takes --help option as consumer-id
Summary: pulp-consumer takes --help option as consumer-id
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-26 11:41 UTC by Irina Gulina
Modified: 2015-02-28 22:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:16:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 498 0 None None None Never

Description Irina Gulina 2014-08-26 11:41:44 UTC
Description of problem:
--help is taken like a consumer ID

Version-Release number of selected component (if applicable):
>>rpm -qa | grep pulp-server
pulp-server-2.4.1-0.4.beta.fc20.noarch

How reproducible:
always


Steps to Reproduce:
>> pulp-consumer status
This consumer is not currently registered.

>> pulp-consumer -u admin register --consumer-id --help
Enter password: 
Consumer [--help] successfully registered

>> pulp-consumer status
This consumer is registered to the server
[localhost] with the ID [--help].

Comment 1 Irina Gulina 2014-09-01 13:28:24 UTC
In fact, any next string after --consumer-id is taken as consumer-id value.

> pulp-consumer -u admin -p admin register --help
Command: register
Description: registers this consumer to the Pulp server

Available Arguments:

  --consumer-id  - (required) uniquely identifies the consumer; only
                   alphanumeric, ., -, and _ allowed
  --display-name - user-readable display name for the consumer
  --description  - user-readable description for the consumer
  --note         - adds/updates/deletes key-value pairs to pragmatically
                   identify the repository; pairs must be separated by an equal
                   sign (e.g. key=value); multiple notes can be added by
                   specifying this option multiple times; notes are deleted by
                   specifying "" as the value

>> pulp-consumer -u admin -p admin register --consumer-id --note
Consumer [--note] successfully registered

Comment 2 Brian Bouterse 2015-02-28 22:16:27 UTC
Moved to https://pulp.plan.io/issues/498


Note You need to log in before you can comment on or make changes to this bug.